Package org.apache.commons.math3.geometry.spherical.twod

# Class Vertex

java.lang.Object
org.apache.commons.math3.geometry.spherical.twod.Vertex

public class Vertex extends Object
Spherical polygons boundary vertex.

Since:
  3.3
See Also:
  - `SphericalPolygonsSet.getBoundaryLoops()`
  - `Edge`

## Method Summary

Modifier and Type
Method
Description
`Edge`
`getIncoming()`
Get incoming edge.
`S2Point`
`getLocation()`
Get Vertex location.
`Edge`
`getOutgoing()`
Get outgoing edge.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getLocation

public S2Point getLocation()
Get Vertex location.

Returns:
  vertex location

### getIncoming

public Edge getIncoming()
Get incoming edge.

Returns:
  incoming edge

### getOutgoing

public Edge getOutgoing()
Get outgoing edge.

Returns:
  outgoing edge